X2Go Bug report logs - #1162
proposed patch to add customization of icon in lower left corner of x2goclient main window

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Seth Galitzer <sgsax@ksu.edu>

Date: Mon, 20 Mar 2017 23:35:02 UTC

Severity: normal

Tags: patch, pending

Found in version 4.1.0.1

Fixed in version 4.1.0.1

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1162; Package x2goclient. (Mon, 20 Mar 2017 23:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Seth Galitzer <sgsax@ksu.edu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 20 Mar 2017 23:35:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Seth Galitzer <sgsax@ksu.edu>
To: <submit@bugs.x2go.org>
Subject: proposed patch to add customization of icon in lower left corner of x2goclient main window
Date: Mon, 20 Mar 2017 14:59:42 -0500
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.1.0.1

Attached patch adds functionality to customize the icon in the lower 
left corner of the main window. On commandline invocation, user can 
provide path to an SVG file to replace the seal face icon with one of 
their own choosing. Mechanism is similar to how the --background flag is 
used. Same file format, pixel size, and color palette as the seal face 
icon is assumed for replacement image.

I respectfully ask this to be considered for inclusion in future releases.

Seth Galitzer

-- 
Seth Galitzer
Systems Coordinator
Computing and Information Sciences
Kansas State University
http://www.cis.ksu.edu/~sgsax
sgsax@ksu.edu
785-532-7790
[x2goclient.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 21 Mar 2017 02:05:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1162; Package x2goclient. (Wed, 22 Mar 2017 02:10:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 22 Mar 2017 02:10:02 GMT) (full text, mbox, link).


Message #12 received at 1162@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 1162-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1162@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 22 Mar 2017 03:06:23 +0100 (CET)
tag #1162 pending
fixed #1162 4.1.0.1
thanks

Hello,

X2Go issue #1162 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=12a567a

The issue will most likely be fixed in src:x2goclient (4.1.0.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 12a567a3cedde2ba58b33b545de284cd93aeb9c8
Author: Seth Galitzer <sgsax@ksu.edu>
Date:   Wed Mar 22 03:00:39 2017 +0100

    {src/{help.cpp,onmainwindow.{cpp,h}},man/man1/x2goclient.1}: add new --branding option that replaces the seal logo. Fixes: #1162.

diff --git a/debian/changelog b/debian/changelog
index 09a10f5..42c1e52 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -185,6 +185,8 @@ x2goclient (4.1.0.1-0x2go1) UNRELEASED; urgency=medium
   * New upstream version (4.1.0.1):
     - src/help.cpp: add documentation for the --background option.
       Part of #1162.
+    - {src/{help.cpp,onmainwindow.{cpp,h}},man/man1/x2goclient.1}: add new
+      --branding option that replaces the seal logo. Fixes: #1162.
 
  -- X2Go Release Manager <git-admin@x2go.org>  Wed, 22 Feb 2017 07:13:10 +0100
 


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 22 Mar 2017 02:10:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.0.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 22 Mar 2017 02:10:02 GMT) (full text, mbox, link).


Message sent on to Seth Galitzer <sgsax@ksu.edu>:
Bug#1162. (Wed, 22 Mar 2017 02:10:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1162; Package x2goclient. (Thu, 14 Sep 2017 01:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 14 Sep 2017 01:05:02 GMT) (full text, mbox, link).


Message #24 received at 1162@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 1162-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1162@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Thu, 14 Sep 2017 03:02:04 +0200 (CEST)
tag #1162 pending
fixed #1162 4.1.0.1
thanks

Hello,

X2Go issue #1162 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=0445179

The issue will most likely be fixed in src:x2goclient (4.1.0.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 0445179feb2dffddb80a38b19b085fdfb9b950ac
Author: Seth Galitzer <sgsax@ksu.edu>
Date:   Wed Mar 22 03:00:39 2017 +0100

    {src/{help.cpp,onmainwindow.{cpp,h}},man/man1/x2goclient.1}: add new --branding option that replaces the seal logo. Fixes: #1162.

diff --git a/debian/changelog b/debian/changelog
index edb2a45..71b5d28 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -16,6 +16,8 @@ x2goclient (4.1.0.1-0x2go1) UNRELEASED; urgency=medium
   * New upstream version (4.1.0.1):
     - src/help.cpp: add documentation for the --background option.
       Part of #1162.
+    - {src/{help.cpp,onmainwindow.{cpp,h}},man/man1/x2goclient.1}: add new
+      --branding option that replaces the seal logo. Fixes: #1162.
 
  -- X2Go Release Manager <git-admin@x2go.org>  Wed, 22 Feb 2017 07:13:10 +0100
 


Message sent on to Seth Galitzer <sgsax@ksu.edu>:
Bug#1162. (Thu, 14 Sep 2017 01:05:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1162; Package x2goclient. (Thu, 14 Sep 2017 01:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 14 Sep 2017 01:15:02 GMT) (full text, mbox, link).


Message #32 received at 1162@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1162-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1162@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 14 Sep 2017 03:11:21 +0200 (CEST)
close #1162
thanks

Hello,

we are very hopeful that X2Go issue #1162 reported by you
has been resolved in the new release (4.1.0.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.1.0.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=7ebe67472c8665527c1b6c4463712c7d7197fe18;hp=add03ee78f3dcbee3317bf17a08dcb2cbeb12ee7

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.1.0.1-0x2go1
Status: RELEASE
Date: Thu, 14 Sep 2017 03:06:33 +0200
Fixes: 1162
Changes:
 x2goclient (4.1.0.1-0x2go1) RELEASED; urgency=medium
 .
   [ Mihai Moldovan ]
   * New upstream version (4.1.0.1):
     - src/onmainwindow.cpp: unbreak Windows and OS X builds - directRDP is
       only available on Linux, so guard new section.
     - src/sessionbutton.cpp: only append "XDM@" string to server text if a
       direct XDMCP session was requested. Issue automatically found by GCC.
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.1.0.1):
     - Add "direct XDMCP" functionality.
     - Disable sound button on direct RDP and XDMCP sessions.
       Set for direct XDMCP session autologin=true.
       Set for direct XDMCP session username=XDM.
 .
   [ Seth Galitzer ]
   * New upstream version (4.1.0.1):
     - src/help.cpp: add documentation for the --background option.
       Part of #1162.
     - {src/{help.cpp,onmainwindow.{cpp,h}},man/man1/x2goclient.1}: add new
       --branding option that replaces the seal logo. Fixes: #1162.


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 14 Sep 2017 01:15:03 GMT) (full text, mbox, link).


Notification sent to Seth Galitzer <sgsax@ksu.edu>:
Bug acknowledged by developer. (Thu, 14 Sep 2017 01:15:03 GMT) (full text, mbox, link).


Message sent on to Seth Galitzer <sgsax@ksu.edu>:
Bug#1162. (Thu, 14 Sep 2017 01:15:04 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 12 Oct 2017 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Aug 21 13:49:40 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.